process.chdir(__dirname);

const fs = require('fs');

const config = require('komodo-sdk/config');
const sdNotify = require('komodo-sdk/sd-notify');

global.KOMODO_LOG_LABEL = `KOMODO-CENTER@${config.origin || 'XMPP'}`;
process.title = `KOMODO-CENTER@${config.origin || 'XMPP'}`;

require('./lib/transport');

fs.writeFileSync('pid.txt', `${process.pid}`);
sdNotify();
